低危 SQLite 3.30.1 ORDER BY window.c exprListAppendList 拒绝服务漏洞

CVE编号

CVE-2019-19880

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-12-18
漏洞描述
SQLite是美国D.Richard Hipp软件开发者的一套基于C语言的开源嵌入式关系数据库管理系统。该系统具有独立性、隔离性、跨平台等特点。
SQLite 3.30.1版本中的window.c文件的exprListAppendList存在代码问题漏洞,该漏洞源于window定义的ORDER BY子句中的常量整数值处理不当。远程攻击者可通过发送特制请求利用该漏洞导致应用程序崩溃。

解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://github.com/sqlite/sqlite/commit/75e95e1fcd52d3ec8282edb75ac8cd0814095d54
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 sqlite sqlite 3.30.1 -
运行在以下环境
系统 debian_10 chromium * Up to
(excluding)
80.0.3987.132-1~deb10u1
运行在以下环境
系统 debian_9 chromium * Up to
(including)
73.0.3683.75-1~deb9u1
运行在以下环境
系统 opensuse_Leap_15.1 chromium * Up to
(excluding)
80.0.3987.87-lp151.2.63.1
运行在以下环境
系统 opensuse_Leap_15.2 sqlite * Up to
(excluding)
0-3.36.0-lp152.4.3.1
运行在以下环境
系统 opensuse_Leap_15.3 sqlite * Up to
(excluding)
3.36.0-3.12.1
运行在以下环境
系统 suse_12_SP5 sqlite * Up to
(excluding)
0-3.36.0-9.18.1
运行在以下环境
系统 ubuntu_16.04.7_lts sqlite3 * Up to
(excluding)
3.11.0-1ubuntu1.3
运行在以下环境
系统 ubuntu_16.04_lts sqlite3 * Up to
(excluding)
3.11.0-1ubuntu1.3
运行在以下环境
系统 ubuntu_18.04 sqlite * Up to
(excluding)
3.22.0-1ubuntu0.2
运行在以下环境
系统 ubuntu_18.04.5_lts sqlite3 * Up to
(excluding)
3.22.0-1ubuntu0.2
运行在以下环境
系统 ubuntu_18.04_lts sqlite3 * Up to
(excluding)
3.22.0-1ubuntu0.2
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-476 空指针解引用
阿里云安全产品覆盖情况